import { InputOptions, OutputOptions, ModuleFormat } from 'rollup';

declare type Options = {
    bundle?: boolean;
    dts?: boolean;
    dtsBundle?: boolean;
    watch?: boolean;
    jsxFactory?: string;
    jsxFragment?: string;
    outDir: string;
    format: ModuleFormat;
    moduleName?: string;
    define?: {
        [k: string]: string;
    };
    /** Don't bundle these packages */
    external?: string[];
    inlineDynamicImports?: boolean;
};
declare function createRollupConfigs(files: string[], options: Options): Promise<{
    name: string;
    inputConfig: InputOptions;
    outputConfig: OutputOptions;
}[]>;
declare function printSizes(): void;

export { createRollupConfigs, printSizes };
